Package wx :: Package lib :: Package floatcanvas :: Module NavCanvas :: Class NavCanvas

[frames | no frames]

## Type NavCanvas

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            NavCanvas

NavCanvas.py

This is a high level window that encloses the FloatCanvas in a panel and adds a Navigation toolbar.

Method Summary
| `__init__(self, parent, id, size, **kwargs)`
| `BuildToolbar(self)`
| ``HideShowHack`(self)` Hack to hide and show button on toolbar to get around OS-X bug on wxPython2.8 on OS-X
| `SetMode(self, Mode)`
| `ZoomToFit(self, Event)`

Property Summary

Instance Method Details

### HideShowHack(self)

Hack to hide and show button on toolbar to get around OS-X bug on wxPython2.8 on OS-X

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:51 2007 | http://epydoc.sf.net